> For the complete documentation index, see [llms.txt](https://docs.navigaglobal.com/cca-api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.navigaglobal.com/cca-api-documentation/api/tools_auto.md).

# Tools

Tools service exposes some "tool"-like methods

## Methods

## ConvertToDocument

<mark style="color:green;">`POST`</mark> `https://cca-{region}-saas-{enviroment}.infomaker.io/twirp/cca.Tools/ConvertToDocument`

Method to convert NewsML to Document

#### Request Body

| Name   | Type   | Description                    |
| ------ | ------ | ------------------------------ |
| newsml | string | Full XML NewsML based document |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## ConvertToNewsml

<mark style="color:green;">`POST`</mark> `https://cca-{region}-saas-{enviroment}.infomaker.io/twirp/cca.Tools/ConvertToNewsml`

Convert Document to NewsML

#### Request Body

| Name     | Type            | Description          |
| -------- | --------------- | -------------------- |
| document | naviga.Document | A Naviga Doc in JSON |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## ValidateNavigaDoc

<mark style="color:green;">`POST`</mark> `https://cca-{region}-saas-{enviroment}.infomaker.io/twirp/cca.Tools/ValidateNavigaDoc`

Validate NavigaDoc document JSON against JSON schema

#### Request Body

| Name     | Type            | Description |
| -------- | --------------- | ----------- |
| document | naviga.Document |             |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

api-method-response endapi-method-response

## Enums

**cca.DownloadType** DownloadType can be passed as a parameter when downloading assets

```
TYPE_UNKNOWN
TYPE_ORIGINAL
TYPE_PRESENTATION
```

**cca.LockingMode** Locking mode is passed as a parameter when saving documents

```
NONE
OPTIMISTIC_LOCKING
PESSIMISTIC_LOCKING
```

**cca.ProcessingStatus**

```
UNKNOWN
IN_PROGRESS
DONE
ERROR
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.navigaglobal.com/cca-api-documentation/api/tools_auto.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
